Subject: bug#4835: 23.1;Improper `Invalid face reference' messages. Performance degraded.

From: "Drew Adams" <[email-masked]>
Date: Thu, 10 Dec 2009 09:36:13 -0800

> >     (set sym `((,(column-marker-find col) (0 ,face prepend t))))
> 
> (set sym `((,(column-marker-find col) (0 ',face prepend t))))

Ouch! How embarassing. Thank you so much Johan.

I would close the bug now myself, but other parts are still open:

1. `message-log-max' = nil should turn off message logging for display-engine
messages also.

2. Even if #2 is not feasible, it seems like there should be some way to
combine/collapse such messages, as we sometimes do for normal messages (e.g. "[N
times]".

It would be good to do something, at least, to prevent Emacs slowing to a crawl
with repeated messages that say the same thing.

3. As we agreed, it would be good to allow a lambda form in place of a symbol.
This part is an enhancement request.